QGIS Application - Feature request #9488
Rounded frames in the composer
2014-02-04 01:29 AM - mathieu rajerison

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 18079
Description

If you want some rounded frames in the composer, you have to import an SVG or an image of it.

It would be nice to apply rounded edges on frames directly from the Label parameters.

History

#1 - 2014-02-04 05:48 AM - Mathieu Pellerin - nIRV

Hi Mathieu, this is Mathieu :)

See a recent issue | filed on this: #9479

Maybe this could be closed as duplicate of the above. As for a work around on rounded edge, you can - under upcoming 2.2 - now use a basic rectangle

shape and style it using outline: simple line symbology to get rounded corners (or straight corners, for that matter).

#2 - 2014-02-04 07:12 AM - mathieu rajerison

okay Mathieu.
I had checked before posting but searched for "rounded" but not "round" word. So | hadn't seen the previous issue.

Sorry )

#3 - 2014-04-18 01:45 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Think this can be closed now - master has the ability to draw rounded rectangles, and control the join style of item frames (bevel/miter/round).
